SendfileState (Apache Tomcat 9.0.83 API Documentation)
Description: declaration: package: org.apache.tomcat.util.net, enum: SendfileState

Package org.apache.tomcat.util.net

# Enum SendfileState

java.lang.Object
java.lang.Enum<SendfileState>
org.apache.tomcat.util.net.SendfileState

All Implemented Interfaces:
  `Serializable`, `Comparable<SendfileState>`, `java.lang.constant.Constable`

public enum SendfileState extends Enum<SendfileState>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DONE`
  The file has been fully sent.
  `ERROR`
  Something went wrong.
  `PENDING`
  The sending of the file has started but has not completed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SendfileState`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static SendfileState[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PENDING

    public static final SendfileState PENDING
    The sending of the file has started but has not completed. Sendfile is still using the socket.

  - ### DONE

    public static final SendfileState DONE
    The file has been fully sent. Sendfile is no longer using the socket.

  - ### ERROR

    public static final SendfileState ERROR
    Something went wrong. The file may or may not have been sent. The socket is in an unknown state.

- ## Method Details

  - ### values

    public static SendfileState[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static SendfileState valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null